package com.dayou.dto;

import com.dayou.annotation.Excel;
import com.dayou.annotation.ImportCell;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class PersonalFacePriceBatchDTO {

    /**
     * 估价对象地址
     */
    @ImportCell(notNull = true)
    @Excel(name = "估价对象地址")
    private String queryTarget;

    /**
     * 面积
     */
    @ImportCell
    @Excel(name = "面积(平米)")
    private BigDecimal acreage;

    /**
     * 单价
     */
    @Excel(name = "单价(元)")
    private BigDecimal price;

    /**
     * 总价
     */
    @Excel(name = "总价(元)")
    private BigDecimal amount;

    /**
     * 价值时点
     */
    @Excel(name = "价值时点")
    private LocalDate valueTiming;

}
