package com.dayou.vo;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.dayou.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class MajorOrderStatEvaluateUnitVO {

    private Long id;
    @Excel(name = "项目名称")
    private String orderName;

    @Excel(name = "订单号")
    private String orderId;

    @Excel(name = "客户经理")
    private String clientManager;

    @Excel(name = "负责人")
    private String principal;

    @Excel(name = "接单部门")
    private String department;

    @Excel(name = "计件总数")
    private String evaluateUnit;

    @Excel(name = "计件分配")
    private String allotUnitStr;


    @Excel(name = "估价对象类型")
    private String businessObjectType;

    @Excel(name = "分单类型")
    private String allotType;

    @Excel(name = "分配时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private List<UserRateVO> allotUnits;

    private Boolean financial;

    private String userRate;

    private String startDate;

    private String endDate;

    private Long userId;

    public String getAllotUnitStrs(){
        StringBuilder allotUnitStrs = new StringBuilder();
        if (CollectionUtils.isNotEmpty(allotUnits)){
            for (UserRateVO u : allotUnits) {
                allotUnitStrs.append(u.getUserName()+":"+u.getUserRate()+";");
            }
        }
        return allotUnitStrs.toString();
    }

}
